{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";

    basecamp.url = "github:plul/basecamp";
    basecamp.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs =
    inputs@{ self, ... }:
    {
      devShells."x86_64-linux".default =
        let
          pkgs = import inputs.nixpkgs { system = "x86_64-linux"; };
        in
        inputs.basecamp.mkShell pkgs { packages = [ pkgs.solvespace ]; };
    };
}
